use regex::Captures;
use eyre::Result;
use super::*;

pub struct DashInTitle {}
impl Rule for DashInTitle {
    fn check(_filename: &str, captures: &Captures) -> Option<NonCompliantReason> {
        let title = captures.name("title").unwrap();

        if title.as_str().contains("-") {
            return Some(NonCompliantReason::DashInTitle)
        }

        return None
    }

    fn fix(_filename: &str, _captures: &Captures) -> Result<FixStatus> {
        return Ok(FixStatus::NotImplemented)
    }
}